echo off
cls
echo         ллллллллллллллллллллллллллллллллллллллллллллллллллллллллллллл
echo         лл                                                         лл
echo         лл       EXPLORA III Hard Disk Installation Program        лл
echo         лл                                                         лл
echo         ллллллллллллллллллллллллллллллллллллллллллллллллллллллллллллл
echo џ
echo џ
echo џ
echo џ
if not %1~==~ goto gotdrive
echo               To Install EXPLORA III to DRIVE B type INSTALL B:
echo               To Install EXPLORA III to DRIVE C type INSTALL C:
echo               To Install EXPLORA III to DRIVE D type INSTALL D:
echo               To Install EXPLORA III to DRIVE E type INSTALL E:
echo               To Install EXPLORA III to DRIVE F type INSTALL F:
echo џ
goto end

:gotdrive
if %0==b:install goto bdrive
if %0==B:INSTALL goto bdrive
if %0==a:install goto adrive
if not %0==A:INSTALL goto install

:adrive
A:
goto install
:bdrive
B:
goto install

:install
echo Installing EXPLORA III Files to %1\EXPLORA3\
echo џ
pause
mkdir %1\EXPLORA3
echo Copying EXPLORA III Files, please wait . . .
EXPLORA3.EXE %1\EXPLORA3 > NUL
if %1==f: goto fconfig
if %1==F: goto fconfig
if %1==e: goto econfig
if %1==E: goto econfig
if %1==d: goto dconfig
if %1==D: goto dconfig
if %1==c: goto cconfig
if %1==C: goto cconfig
if %1==b: goto bconfig
if not %1==B: goto errordisk
:bconfig
COPY CONFIG_B.DAT %1\EXPLORA3\CONFIG.DAT >NUL
goto endconfig
:cconfig
COPY CONFIG_C.DAT %1\EXPLORA3\CONFIG.DAT >NUL
goto endconfig
:dconfig
COPY CONFIG_D.DAT %1\EXPLORA3\CONFIG.DAT >NUL
goto endconfig
:econfig
COPY CONFIG_E.DAT %1\EXPLORA3\CONFIG.DAT >NUL
goto endconfig
:fconfig
COPY CONFIG_F.DAT %1\EXPLORA3\CONFIG.DAT >NUL
goto endconfig
:endconfig
echo џ
echo џ
echo џ
if exist %1\EXPLORA3\EXP3.EXE goto done

:error
echo Error:
echo џ
echo EXPLORA III has not been installed on your hard disk.
echo џ
echo This program requires at least 2.6M of free disk space.
goto end

:errordisk
echo
echo INSTALL B: thru F: only
echo
goto end

:done
cd %1\EXPLORA3
%1
echo EXPLORA III has now been installed on your hard disk.
echo џ
echo To run EXPLORA III, type EXP3
echo џ
:end
